datacache <- new.env(hash=TRUE, parent=emptyenv())

zebgene10stdrrefseq <- function() showQCData("zebgene10stdrrefseq", datacache)
zebgene10stdrrefseq_dbconn <- function() dbconn(datacache)
zebgene10stdrrefseq_dbfile <- function() dbfile(datacache)
zebgene10stdrrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
zebgene10stdrrefseq_dbInfo <- function() dbInfo(datacache)

zebgene10stdrrefseqORGANISM <- "Danio rerio"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "zebgene10stdrrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("ZEBRAFISHCHIP_DB", "zebgene10stdrrefseq", "chip zebgene10stdrrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("zebgene10stdrrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(zebgene10stdrrefseq_dbconn())
}

